> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding

Retrieves detailed information about a specific onboarding for a recipient.

This endpoint retrieves detailed information about a specific onboarding for a recipient in the [split payments marketplace](/docs/split-payments-marketplace). Use this endpoint to check the current status, configuration, and details of an existing onboarding.

This endpoint requires an existing onboarding created via [Create Onboarding](/reference/create-onboarding).


## OpenAPI

````yaml openapi/recipients-for-marketplace/get-onboarding.json GET /recipients/{recipient_id}/onboardings/{onboarding_id}
openapi: 3.1.0
info:
  title: Recipients API
  version: 1.0.0
  description: >-
    API for managing recipients in split payment scenarios. This feature enables
    merchants to split payments among multiple recipients, which is particularly
    beneficial for marketplace models where transactions need to be divided
    among different sellers or stakeholders.
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /recipients/{recipient_id}/onboardings/{onboarding_id}:
    get:
      summary: Get Onboarding
      operationId: get-onboarding
      parameters:
        - in: path
          name: recipient_id
          description: ID of the recipient
          schema:
            type: string
          required: true
          example: 9104911d-5df9-429e-8488-ad41abea1a4b
        - in: path
          name: onboarding_id
          description: ID of the onboarding to retrieve
          schema:
            type: string
          required: true
          example: 104911d-5df9-429e-8488-ad41abea1a4b
      responses:
        '200':
          description: Onboarding details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the onboarding
                    example: 104911d-5df9-429e-8488-ad41abea1a4b
                  account_id:
                    type: string
                    description: Unique id of the account in Yuno
                    example: 9104911d-5df9-429e-8488-ad41abea1a4b
                  recipient_id:
                    type: string
                    description: The unique identifier of the recipient
                    example: 9104911d-5df9-429e-8488-ad41abea1a4b
                  type:
                    type: string
                    enum:
                      - PREVIOUSLY_ONBOARDED
                      - ONE_STEP_ONBOARDING
                      - TWO_STEP_ONBOARDING
                    description: Type of onboarding flow
                    example: PREVIOUSLY_ONBOARDED
                  workflow:
                    type: string
                    enum:
                      - HOSTED_BY_PROVIDER
                      - HOSTED_BY_YUNO
                      - DIRECT
                    description: Workflow of the onboarding
                    example: HOSTED_BY_PROVIDER
                  status:
                    type: string
                    description: Current status of the onboarding
                    example: ACTIVE
                  callback_url:
                    type: string
                    format: uri
                    description: URL to redirect after the onboarding process
                    example: https://www.google.com
                  provider:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Provider id
                        example: PAGARME
                      connection_id:
                        type: string
                        description: Id of the connection in Yuno
                        example: 104911d-5df9-429e-8488-ad41abea1a4b
                      recipient_id:
                        type: string
                        description: The unique identifier of the provider's recipient
                        example: AAAAA01
                  created_at:
                    type: string
                    format: date-time
                    description: Onboarding creation date
                    example: '2024-01-15T10:30:00Z'
                  updated_at:
                    type: string
                    format: date-time
                    description: Onboarding last update date
                    example: '2024-01-15T10:30:00Z'
              examples:
                Success Response:
                  value:
                    id: 104911d-5df9-429e-8488-ad41abea1a4b
                    account_id: 9104911d-5df9-429e-8488-ad41abea1a4b
                    recipient_id: 9104911d-5df9-429e-8488-ad41abea1a4b
                    type: PREVIOUSLY_ONBOARDED
                    workflow: HOSTED_BY_PROVIDER
                    status: ACTIVE
                    callback_url: https://www.google.com
                    provider:
                      id: PAGARME
                      connection_id: 104911d-5df9-429e-8488-ad41abea1a4b
                      recipient_id: AAAAA01
                    created_at: '2024-01-15T10:30:00Z'
                    updated_at: '2024-01-15T10:30:00Z'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: INVALID_REQUEST
        messages:
          type: array
          items:
            type: string
            example: Invalid request
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````